Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v1
Class CopaymentType

    java.lang.Object
      be.fgov.ehealth.dics.core.v1.BaseType
          be.fgov.ehealth.dics.core.v1.CopaymentType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:13:06+02:00",
               comments="JAXB RI v2.2.6")
    public class CopaymentType

extends BaseType
implements Serializable

Java class for CopaymentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CopaymentType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v1}BaseType">
           <sequence>
             <element name="RegimeType" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="CopayAmnt" type="{urn:be:fgov:ehealth:dics:core:v1}AmountType" minOccurs="0"/>
             <element name="SolidFlatRateAmnt" type="{urn:be:fgov:ehealth:dics:core:v1}AmountType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CopaymentType()`

Method Summary
`AmountType` | `getCopayAmnt()` Gets the value of the copayAmnt property.
`BigInteger` | `getRegimeType()` Gets the value of the regimeType property.
`AmountType` | `getSolidFlatRateAmnt()` Gets the value of the solidFlatRateAmnt property.
`void` | `setCopayAmnt(AmountType value)` Sets the value of the copayAmnt property.
`void` | `setRegimeType(BigInteger value)` Sets the value of the regimeType property.
`void` | `setSolidFlatRateAmnt(AmountType value)` Sets the value of the solidFlatRateAmnt property.

Methods inherited from class be.fgov.ehealth.dics.core.v1.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopaymentType

    public CopaymentType()

Method Detail

### getRegimeType

    public BigInteger getRegimeType()

  Gets the value of the regimeType property.

  Returns:
    possible object is `BigInteger`

### setRegimeType

    public void setRegimeType(BigInteger value)

  Sets the value of the regimeType property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getCopayAmnt

    public AmountType getCopayAmnt()

  Gets the value of the copayAmnt property.

  Returns:
    possible object is `AmountType`

### setCopayAmnt

    public void setCopayAmnt(AmountType value)

  Sets the value of the copayAmnt property.

  Parameters:
    `value` - allowed object is `AmountType`

### getSolidFlatRateAmnt

    public AmountType getSolidFlatRateAmnt()

  Gets the value of the solidFlatRateAmnt property.

  Returns:
    possible object is `AmountType`

### setSolidFlatRateAmnt

    public void setSolidFlatRateAmnt(AmountType value)

  Sets the value of the solidFlatRateAmnt property.

  Parameters:
    `value` - allowed object is `AmountType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.